%*****************************************************************%
% Nom du fichier : vcircN.m													%
%																						%
% Role du fichier : Fournit un signal complexe de longueur dur		%
%						  prenant les N valeurs equirepartie sur le		%
%						  cercle unitaire. N vaut 8 par defaut.			%
%*****************************************************************%

function x=vcircN(dur,N)
if nargin==1, N=8; end;
ii=sqrt(-1);dpN=2*pi/N;
s=ceil(N*rand(1,dur));
x=exp(ii*dpN*s);