%***********************************************************************%
% Nom du fichier : tetannv.m															%
%																								%
% Role du fichier : Teste la difference de temps d'execution entre 		%
%						  tfuni1 de Matlab et le programme tetan_nv en C.		%
%						  Pour 1000 points.												%
%***********************************************************************%

clear all;
close all;

dur=1000;
theta=20*pi/180;
signal(1,:)=vcircN(dur,2);
signal(2,:)=vcircN(dur,2);
m(1,1)=cos(theta)+2*i;
m(1,2)=sin(theta)+5*i;
m(2,1)=-sin(theta+i);
m(2,2)=cos(theta)-i;
m=(randn(2)+i*randn(2))*m;

fprintf('Pour 1000 points\n');
fprintf('\n');

% Programme Matlab.
fprintf('Matlab\n');
tic
[mat2,theta2]=tfuni1(m*signal,-1);
toc
G2=mat2^(-1)
theta2
fprintf('\n');

% Programme C.
fprintf('Programme C\n');
tic;
[mat,theta]=tetan_nv(m*signal,-1);
toc
G1=mat^(-1)
theta


