function s=objectif(X)
% function s=objectif(X)
% P.Comon, June 16, 1998

global VECTEURSNOYAU
global POLYNOMECIRCULAIRE

PC=POLYNOMECIRCULAIRE;
v1=VECTEURSNOYAU(:,1);v2=VECTEURSNOYAU(:,2);
theta=X(1);phi=X(2);ii=sqrt(-1);n=length(v1); % n=r+1=4 generiquement

  u=v1*cos(theta)+v2*sin(theta)*exp(ii*phi);
  % construction des 3 formes lineaires
  if abs(u(1))<2*eps, q=roots(u(2:n));L=[1 q(:).';0 ones(1,n-2)];
  else q=roots(u); L=[q(:).';ones(1,n-1)]; end;
  P1=carr2PR2(mod2LC2PR(L(:,1)));
  P2=carr2PR2(mod2LC2PR(L(:,2)));
  P3=carr2PR2(mod2LC2PR(L(:,3)));
  pppPC=[P1 P2 P3 PC];
  s=min(svd(pppPC));
